import { Plugin, Runner, WebpackWrapper } from '@morjs/utils';
/**
 * 默认编译优化配置
 */
export declare class BundleOptimizationPlugin implements Plugin {
    wrapper: WebpackWrapper;
    name: string;
    constructor(wrapper: WebpackWrapper);
    apply(runner: Runner<any>): void;
    removeMiniFileGenerator(): void;
    supportSjsExtensionAlias(sourceType: string): void;
    /**
     * 设置默认的打包优化
     */
    setupDefaultOptimization(globalNameSuffix?: string): void;
}
