import { EntryBuilderHelpers, Plugin, Runner, WebpackWrapper } from '@morjs/utils';
export declare const NODE_MODULE_REGEXP: RegExp;
/**
 * Web 相关通用配置支持
 */
export declare class CommonConfigPlugin implements Plugin {
    wrapper: WebpackWrapper;
    entryBuilder: EntryBuilderHelpers;
    name: string;
    constructor(wrapper: WebpackWrapper, entryBuilder: EntryBuilderHelpers);
    apply(runner: Runner<any>): void;
    /**
     * 增加转 web 相关通用 webpack 配置
     */
    setupCommonConfigForWeb(runner: Runner): void;
}
