import { Plugin, Runner } from '@morjs/utils';
/**
 * SJS 兼容插件
 * 1. wxs 或 sjs 的 constructor 返回的是对象的类型, 不符合 web 规范, 这里做自动转换
 * 2. 提供 getRegExp 和 getDate 方法转换支持
 */
export declare class SjsCompatiblePlugin implements Plugin {
    name: string;
    apply(runner: Runner<any>): void;
}
