"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@morjs/utils");
const error_1 = require("../error");
const helper_databinding_1 = require("../helper-databinding");
function default_1(node, context) {
    if (node.dataExpression && node.dataExpression.express) {
        (0, error_1.checkDataBinding)(node.dataExpression, 'use tempalte');
    }
    context.mergeDatabindingVars(node.dataExpression);
    context.mergeDatabindingVars(node.templateName);
    const dataExp = node.dataExpression.express
        ? node.dataExpression.getExpressionAst({ forceObject: true })
        : utils_1.babelTypes.objectExpression([]);
    if (!utils_1.babelTypes.isObjectExpression(dataExp)) {
        throw new Error('template data 必须是 对象');
    }
    return utils_1.babelTypes.jsxExpressionContainer(utils_1.babelTypes.callExpression(utils_1.babelTypes.memberExpression(utils_1.babelTypes.identifier('$tm'), utils_1.babelTypes.identifier('renderTemplate')), [
        (0, helper_databinding_1.databindingForValue)(node.templateName),
        dataExp,
        utils_1.babelTypes.memberExpression(utils_1.babelTypes.identifier('$data'), utils_1.babelTypes.identifier('$reactComp'))
    ]));
}
exports.default = default_1;
//# sourceMappingURL=UseTemplateNode.js.map