import { Plugin as MorPlugin, Runner } from '@morjs/utils';
export { compileModuleKind, compileScriptTarget, fileType, getRuntimeFiles, isSupportSjsContent, sjsModuleAttrName, sjsSrcAttrName, sjsTagName, supportGlobalComponents, templateDirectives, templateProcessor, templateSingleTagNames } from '@morjs/plugin-compiler-alipay';
export { defaultConditionalFileExt, defaultOutputDir, globalObject, projectConfigFiles, resolveMainFields, target, targetDescription, templateSingleTagClosingType, WebCompilerUserConfig } from './constants';
/**
 * web 编译插件
 * - 支持微信支付宝小程序 DSL 编译为 web 项目
 */
declare class WebCompilerPlugin implements MorPlugin {
    name: string;
    apply(runner: Runner<any>): void;
}
export declare const Plugin: typeof WebCompilerPlugin;
