import { Plugin, Runner, WebpackWrapper } from '@morjs/utils';
import { WebCompilerUserConfig } from '../constants';
/**
 * dev 服务器支持插件
 */
export declare class DevServerPlugin implements Plugin {
    wrapper: WebpackWrapper;
    name: string;
    constructor(wrapper: WebpackWrapper);
    apply(runner: Runner<any>): Promise<void>;
    /**
     * 配置 dev server
     */
    setupDevServer(runner: Runner, wrapper: WebpackWrapper, userConfig: WebCompilerUserConfig): Promise<void>;
    /**
     * 获取本机 ip
     */
    getIpAddress(host?: string): string;
}
