import { Plugin, Runner, WebpackWrapper } from '@morjs/utils';
import { WebCompilerUserConfig } from '../constants';
/**
 * CSS 提取或注入配置
 */
export declare class ExtractOrInjectCssPlugin implements Plugin {
    wrapper: WebpackWrapper;
    name: string;
    constructor(wrapper: WebpackWrapper);
    apply(runner: Runner<any>): void;
    /**
     * 配置 css 相关支持
     */
    setupCssSupport(web: WebCompilerUserConfig['web'], fileName: string): void;
}
